Bug 1677014 - Improve diagnostic info for bootstrap.py --rex commands
Summary: Improve diagnostic info for bootstrap.py --rex commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Bootstrap
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-13 18:57 UTC by Stephen Wadeley
Modified: 2019-10-07 17:19 UTC (History)
2 users (show)

Fixed In Version: katello-client-bootstrap-1.7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello-client-bootstrap pull 291 None None None 2019-02-14 09:20:27 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:16 UTC

Description Stephen Wadeley 2019-02-13 18:57:23 UTC
Description of problem:

When running bootstrap.py with commands starting --rex, adding the -v option does not provide more verbose information relevant to the --rex options. 


Version-Release number of selected component (if applicable):
katello-client-bootstrap-1.7.0

How reproducible:


Steps to Reproduce:
1. Run a bootstrap.py command with --rex* command options but omit --rex itself
2. No information helping you see what is wrong is output
3. Run the command again adding -v, still no information to help you see the problem

Actual results:

--rex* with -v does not give extra information to help you diagnose problems


Expected results:

--rex* with -v gives more verbose output that helps you diagnose problems


Additional info:

Bug 1568848 - [RFE] Handle multiple capsules' ssh keys

Comment 1 Evgeni Golov 2019-02-15 18:34:33 UTC
POST, PR is merged

Comment 8 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.